<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "content" div.
 *
 * @package WordPress
 * @subpackage VT Blogging Pro
 * @since VT Blogging Pro 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope itemtype="http://schema.org/WebSite">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="HandheldFriendly" content="true">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
<div id="page" class="site">

	<header id="masthead" class="site-header clear" role="banner" itemscope itemtype="http://schema.org/WPHeader">

		<div class="container">
			
			<?php
				/**
				 * @hook vt_blogging_pro_header.
				 *
				 * @hooked vt_blogging_pro_header.
				 *
				 */
				do_action('vt_blogging_pro_header');
			?>
			
			<?php
				/**
				 * @hook vt_blogging_pro_menu.
				 *
				 * @hooked vt_blogging_pro_menu.
				 *
				 */
				do_action('vt_blogging_pro_menu');
			?>

			<?php if ( get_theme_mod('header-search', true) ) : ?>
				<span class="search-icon">
					<span class="genericon genericon-search"></span>
					<span class="genericon genericon-close"></span>			
				</span>
			<?php endif; ?>	

			<?php if ( get_theme_mod('woo-cart-button', true) ) : get_template_part( 'woocommerce/cart', 'header' ); endif; ?>	
			
			<div id="slick-mobile-menu"></div>
		
		</div><!-- .container -->

	</header><!-- #masthead -->

	<?php if ( get_theme_mod('header-search', true) ) : ?>
		<div class="header-search">
			<div class="container">
				<?php get_search_form(); ?>
			</div>
		</div><!-- .header-search -->
	<?php endif; ?>		

	<div id="content" class="site-content container clear">