<?php
	/* Standard Layout */
	if ( have_posts() ) :
	
	/* Start the Loop */
	while ( have_posts() ) : the_post();
	
	$pin_image = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
	
	$class = ( $wp_query->current_post + 1 === $wp_query->post_count ) ? 'clear last' : 'clear';
	$animated = esc_html(get_theme_mod( 'animate_enable', '1' ))? ' data-aos="fade-up" data-aos-duration="600" data-aos-delay="300"' : '';
	
?>

	<div id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?> <?php if (get_theme_mod('animate_enable', 1) == 1) : echo $animated; endif; ?>>

		<div class="entry-overview">
			
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			
			<?php
				if ( !get_theme_mod( 'blog_post_meta', 1) == 0) : get_template_part('template-parts/entry', 'meta'); endif;
				if ( !get_theme_mod( 'blog_post_thumb', 1) == 0) : get_template_part('template-parts/post', 'format'); endif;
			?>
		
			<div class="entry-summary">
				<?php the_excerpt(); ?>
				<span class="read-more"><a href="<?php the_permalink(); ?>"><?php echo wp_kses_post( get_theme_mod( 'post-read-more', __( 'Read more', 'vt-blogging-pro' ) ) ); ?> &raquo;</a></span>
			</div><!-- .entry-summary -->

		</div><!-- .entry-overview -->

	</div><!-- #post-<?php the_ID(); ?> -->

<?php
	endwhile;
	else:
		get_template_part('template-parts/content', 'none' );
	endif; 
	?>