<?php
/**
 * The Template for displaying all single products.
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

  <?php if (get_theme_mod('display-wc-sidebar', 0) == 1) : ?>
	<div id="primary" class="content-area content-product clear <?php vt_blogging_pro_container_class(); ?>">
  <?php else : ?>
	<div id="primary" class="content-area content-product content-full clear <?php vt_blogging_pro_container_class(); ?>">
  <?php endif; ?>
	
	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		do_action( 'woocommerce_before_main_content' );
	?>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>

  </div><!-- #end primary -->
		
<?php	
	if ( !get_theme_mod( 'display-wc-sidebar', 1) == 0) :
		// If enable Shop Sidebar, Let do this.
		get_template_part('woocommerce/sidebar', 'shop');
		
	endif;
	
	get_footer( 'shop' );
	
?>